from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("documents", "0018_update_transcription_worker_run_and_version"),
    ]

    operations = [
        migrations.RemoveConstraint(
            model_name="classification",
            name="classification_worker_run_requires_worker_version",
        ),
        migrations.AddConstraint(
            model_name="classification",
            constraint=models.CheckConstraint(condition=models.Q(models.Q(("worker_run_id__isnull", False), ("worker_version_id__isnull", False)), models.Q(("worker_run_id__isnull", True), ("worker_version_id__isnull", True)), _connector="OR"), name="classification_worker_run_and_worker_version"),
        ),
    ]
