from django.core.management.base import BaseCommand

from arkindex.documents.migrations.utils.worker_run import create_missing_worker_runs


class Command(BaseCommand):
    help = (
        "Progressively generate missing worker runs on ML results. This command is intended to help "
        "with migration `documents.0016_gen_missing_worker_runs` which can handle a lot of data."
    )

    def handle(self, **options):
        create_missing_worker_runs()
