SAVEPOINT "{savepoint}";

SELECT "documents_elementpath"."path",
       COUNT(*) OVER () AS "count"
FROM "documents_elementpath"
WHERE "documents_elementpath"."element_id" = '{A}'::uuid
ORDER BY "documents_elementpath"."id" ASC
LIMIT 1;

DELETE
FROM documents_elementpath child_paths USING documents_elementpath parent_paths
WHERE parent_paths.element_id = '{A}'::uuid
    AND parent_paths.path <> '{{{first_parent}}}'::uuid[]
    AND child_paths.path @> (parent_paths.path || '{A}'::uuid) ;

DELETE
FROM documents_elementpath parent_paths USING documents_elementpath other_paths
WHERE parent_paths.path && ARRAY['{A}'::uuid]
    AND other_paths.element_id = parent_paths.element_id
    AND NOT other_paths.path && ARRAY['{A}'::uuid] ;

UPDATE "documents_elementpath"
SET "path" = ("documents_elementpath"."path")[3:]::uuid[]
WHERE ("documents_elementpath"."path" @> (ARRAY['{first_parent}'::uuid,
                                                '{A}'::uuid])::uuid[]
       AND ("documents_elementpath"."path")[1:2] = (ARRAY['{first_parent}'::uuid,
                                                          '{A}'::uuid])::uuid[]);

RELEASE SAVEPOINT "{savepoint}"
